summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Larry Hajali <larryhaja@gmail.com>2014-09-07 08:11:07 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-09-07 08:11:07 +0700
commit91eb0c9a99801b90f52ca0192fd89d7c76f651d7 (patch)
tree6c07b9794bd66ce69a7e649b7735677ea4740b4a
parent95830fd236cf42d4003f103b01bd8ab9d1022639 (diff)
downloadslackbuilds-91eb0c9a99801b90f52ca0192fd89d7c76f651d7.tar.gz
slackbuilds-91eb0c9a99801b90f52ca0192fd89d7c76f651d7.tar.xz
development/ldns: Updated for version 1.6.17 + new maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/ldns/doinst.sh14
-rw-r--r--development/ldns/ldns.SlackBuild67
-rw-r--r--development/ldns/ldns.info12
3 files changed, 61 insertions, 32 deletions
diff --git a/development/ldns/doinst.sh b/development/ldns/doinst.sh
new file mode 100644
index 0000000000..bf19a78eb6
--- /dev/null
+++ b/development/ldns/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/ldns/root.key.new
diff --git a/development/ldns/ldns.SlackBuild b/development/ldns/ldns.SlackBuild
index 51c012801e..98c0819afe 100644
--- a/development/ldns/ldns.SlackBuild
+++ b/development/ldns/ldns.SlackBuild
@@ -3,6 +3,7 @@
# Copyright 2008, 2009 Eric Hameleers, Eindhoven, NL
# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN USA
# Copyright 2010, R. Andrew Bailey, Chantilly, VA USA
+# Copyright 2014 Larry Hajali <larryhaja[at]gmail[dot]com>
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -33,7 +34,7 @@
# -----------------------------------------------------------------------------
PRGNAM=ldns
-VERSION=${VERSION:-1.6.5}
+VERSION=${VERSION:-1.6.17}
TAG=${TAG:-_SBo}
BUILD=${BUILD:-1}
@@ -89,42 +90,54 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--mandir=/usr/man \
--disable-static \
+ --enable-rrtype-ninfo \
+ --enable-rrtype-rkey \
+ --enable-rrtype-cds \
+ --enable-rrtype-uri \
+ --enable-rrtype-ta \
+ --disable-rpath \
+ --with-drill \
+ --with-examples \
+ --with-pyldns \
+ --with-pyldnsx \
+ --with-p5-dns-ldns \
+ --with-ca-path=/etc/ssl/certs \
+ --with-ca-file=/etc/ssl/certs/ca-certificates.crt \
+ --with-trust-anchor=/etc/$PRGNAM/root.key \
--build=$ARCH-slackware-linux
make
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG INSTALLVENDORMAN3DIR=/usr/man/man3 INSTALLDIRS=vendor
+python -m compileall $PKG/usr/lib*/python*/site-packages
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a LICENSE README* $PKG/usr/doc/$PRGNAM-$VERSION
-
-cd drill
- CXXFLAGS="$SLKCFLAGS" \
- CFLAGS="$SLKCFLAGS" \
- ./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --localstatedir=/var \
- --sysconfdir=/etc \
- --mandir=/usr/man \
- --build=$ARCH-slackware-linux
- make
- make install DESTDIR=$PKG
- mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/drill
- cp -a ChangeLog* README REGRESSIONS $PKG/usr/doc/$PRGNAM-$VERSION/drill
- find $PKG/usr/doc -type f -exec chmod 644 {} \;
-cd ..
-
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
+# Create the root.key file
+mkdir -p $PKG/etc/$PRGNAM
+sed -n '/Zone/,$p' $CWD/root-anchors.xml | sed -e 's|<[^>]*>||g' | \
+ while read line; do
+ echo -n " $line"
+ done | sed 's|\.|\. IN DS|' | \
+ xargs > $PKG/etc/$PRGNAM/root.key.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changelog LICENSE README* doc/TODO $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/$(find /usr/share/vim -type d -name "vim[0-9]*")/syntax
+install -m 0644 libdns.vim \
+ $PKG/$(find /usr/share/vim -type d -name "vim[0-9]*")/syntax/$PRGNAM.vim
+
find $PKG/usr/man -type f -exec chmod 0644 {} \;
-for i in $(find $PKG/usr/man -type l -name "*.?") ; do
- ln -s $( readlink $i ).gz $i.gz ; rm $i ;
-done
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+find $PKG -name "LDNS.so" -exec chmod 0755 {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/ldns/ldns.info b/development/ldns/ldns.info
index 5b28b0cf06..2b7dfc202a 100644
--- a/development/ldns/ldns.info
+++ b/development/ldns/ldns.info
@@ -1,10 +1,12 @@
PRGNAM="ldns"
-VERSION="1.6.5"
+VERSION="1.6.17"
HOMEPAGE="http://www.nlnetlabs.nl/projects/ldns/"
-DOWNLOAD="http://www.nlnetlabs.nl/downloads/ldns/ldns-1.6.5.tar.gz"
-MD5SUM="ab41a641a0416908e03e63631f527c4a"
+DOWNLOAD="http://www.nlnetlabs.nl/downloads/ldns/ldns-1.6.17.tar.gz \
+ https://data.iana.org/root-anchors/root-anchors.xml"
+MD5SUM="a79423bcc4129e6d59b616b1cae11e5e \
+ 69e6f9b67e92fbc952d488cc6f67198f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Andy Bailey"
-EMAIL="GooseYArd@gmail.com"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja@gmail.com"